Important Info For Scenery Developers

IMPORTANT FOR ALL SCENERY DEVELOPERS USING OPENSCENERYX: Please read the instructions in the developer’s pack.  It is especially important to read the part about including the “Placeholder Library” in your package.  If you don’t do this, your scenery package may* CAUSE X-PLANE® TO QUIT if a user hasn’t installed OpenSceneryX.

I’ve noticed that a number of released packages don’t include the Placeholder Library and have tried to alert the authors whenever I spot this.  If you don’t do it you’re simply making work for yourself because you’ll get a bunch of users complaining that “I installed your package and it crashes X-Plane”

It is simplicity itself to include the Placeholder Library in your package, it’s just a file and a folder that you copy across.

For more detailed info, download the latest developer’s pack, which is always available from the OpenSceneryX Home Page.

(*) Versions of X-Plane® older than 9.30 beta 8 will quit, versions of X-Plane® newer than that will throw up a warning message.

One thought on “Important Info For Scenery Developers

  1. Pingback: Why Not Ignore Problems? | X-Plane Developer Blog

Leave a Reply